# BaseLanguageSourceSet

@Incubating
open class BaseLanguageSourceSet : AbstractLanguageSourceSet

Base class that may be used for custom LanguageSourceSet implementations. However, it is generally better to use an interface annotated with org.gradle.model.Managed and not use an implementation class at all.

## Constructors

BaseLanguageSourceSet
Link copied to clipboard
constructor()

## Properties

buildTask
Link copied to clipboard
open var buildTask: Task
checkTask
Link copied to clipboard
open var checkTask: Task
generatorTask
Link copied to clipboard
open val generatorTask: Task
identifier
Link copied to clipboard
val identifier: ComponentSpecIdentifier
source
Link copied to clipboard
val source: SourceDirectorySet

## Functions

builtBy
Link copied to clipboard
open fun builtBy(tasks: Array<Any>)
checkedBy
Link copied to clipboard
open fun checkedBy(tasks: Array<Any>)
create
Link copied to clipboard
open fun <T : LanguageSourceSet?> create(publicType: Class<out LanguageSourceSet>, implementationType: Class<T>, componentId: ComponentSpecIdentifier, objectFactory: ObjectFactory): T
Create a source set instance.
generatedBy
Link copied to clipboard
open fun generatedBy(generatorTask: Task)
getBuildDependencies
Link copied to clipboard
open fun getBuildDependencies(): TaskDependency
getDisplayName
Link copied to clipboard
open fun getDisplayName(): String
getMayHaveSources
Link copied to clipboard
open fun getMayHaveSources(): Boolean
getName
Link copied to clipboard
open fun getName(): String
getParentName
Link copied to clipboard
open fun getParentName(): String
getProjectPath
Link copied to clipboard
open fun getProjectPath(): String
getProjectScopedName
Link copied to clipboard
open fun getProjectScopedName(): String
hasBuildDependencies
Link copied to clipboard
open fun hasBuildDependencies(): Boolean
toString
Link copied to clipboard
open fun toString(): String